org.apache.datasketches.tuple

## Class SerializerDeserializer

- java.lang.Object
- - org.apache.datasketches.tuple.SerializerDeserializer

    public final class SerializerDeserializer
    extends Object

Multipurpose serializer-deserializer for a collection of sketches defined by the enum.

### Nested Class Summary

Nested Classes
`static class` `SerializerDeserializer.SketchType` Defines the sketch classes that this SerializerDeserializer can handle.

### Constructor Summary

Constructors
Constructor and Description
`SerializerDeserializer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static SerializerDeserializer.SketchType` `getSketchType(org.apache.datasketches.memory.Memory mem)` Gets the sketch type byte from the given Memory image
`static void` `validateFamily(byte familyId, byte preambleLongs)` Validates the preamble-Longs value given the family ID
`static void` `validateType(byte sketchTypeByte, SerializerDeserializer.SketchType expectedType)` Validates the sketch type byte versus the expected value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializerDeserializer

    public SerializerDeserializer()

### Method Detail

#### validateFamily

    public static void validateFamily(byte familyId,
                                      byte preambleLongs)

Validates the preamble-Longs value given the family ID

Parameters:
  `familyId` - the given family ID
  `preambleLongs` - the given preambleLongs value

#### validateType

    public static void validateType(byte sketchTypeByte,
                                    SerializerDeserializer.SketchType expectedType)

Validates the sketch type byte versus the expected value

Parameters:
  `sketchTypeByte` - the given sketch type byte
  `expectedType` - the expected value

#### getSketchType

    public static SerializerDeserializer.SketchType getSketchType(org.apache.datasketches.memory.Memory mem)

Gets the sketch type byte from the given Memory image

Parameters:
  `mem` - the given Memory image
Returns:
  the SketchType